November 13, 2012

CATO: ObamaCare Is Still Vulnerable.